package cokr.xit.ens.biz.iup.signtalk.sched;

import cokr.xit.ens.biz.iup.signtalk.service.IupSigntalkService;
import cokr.xit.ens.core.aop.EnsResponseVO;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Profile;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Slf4j
//@Component
//@Profile("prod-iup")
@RequiredArgsConstructor
public class IupSigntalkScheduler {

    private final IupSigntalkService iupMydocService;

    /**
     * 인증톡 접수
     *  -. 인증톡 전송을 위해 IUP에 등록된 기초데이터를 ENS에 이관 등록 한다.
     */
    @Scheduled(cron = "0 */5 * * * *")
    public void accepted(){
        EnsResponseVO responseVO = iupMydocService.acceptAll();

        log.info("=======================================================");
        log.info("[IUP] 인증톡 접수처리 결과");
        log.info(responseVO.toString());
        log.info("=======================================================");
    }


    /**
     * 인증톡 결과 가져오기
     *  -. 전송이 완료된 인증톡 전송결과(성공/실패)를 ENS -> IUP 로 가져온다.
     */
    @Scheduled(cron = "0 */15 * * * *")
    public void fetched(){
        EnsResponseVO responseVO = iupMydocService.fetchAll();

        log.info("=======================================================");
        log.info("[IUP] 인증톡 요청문서정보 Fetch 결과");
        log.info(responseVO.toString());
        log.info("=======================================================");
    }
}
